Loading...
Searching...
No Matches
osmo_cbsp_msg_status_query_failure Struct Reference

`#include <cbsp.h>`

## Data Fields

uint16_t | msg_id
uint16_t | old_serial_nr
struct llist_head | fail_list
enum cbsp_channel_ind | channel_ind
struct osmo_cbsp_num_compl_list | num_compl_list

## Field Documentation

## channel_ind

enum cbsp_channel_ind osmo_cbsp_msg_status_query_failure::channel_ind

Referenced by cbsp_dec_msg_status_query_fail(), and cbsp_enc_msg_status_query_fail().

## fail_list

struct llist_head osmo_cbsp_msg_status_query_failure::fail_list

Referenced by cbsp_dec_msg_status_query_fail(), cbsp_enc_msg_status_query_fail(), and osmo_cbsp_init_struct().

## msg_id

uint16_t osmo_cbsp_msg_status_query_failure::msg_id

Referenced by cbsp_dec_msg_status_query_fail(), and cbsp_enc_msg_status_query_fail().

## num_compl_list

struct osmo_cbsp_num_compl_list osmo_cbsp_msg_status_query_failure::num_compl_list

Referenced by cbsp_dec_msg_status_query_fail(), cbsp_enc_msg_status_query_fail(), and osmo_cbsp_init_struct().

## old_serial_nr

uint16_t osmo_cbsp_msg_status_query_failure::old_serial_nr

Referenced by cbsp_dec_msg_status_query_fail(), and cbsp_enc_msg_status_query_fail().

The documentation for this struct was generated from the following file:

- include/osmocom/gsm/cbsp.h